Bug 612474 - "gcj: libgcj.spec: No such file or directory" when updating gcc
"gcj: libgcj.spec: No such file or directory" when updating gcc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 06:34 EDT by Ian Collier
Modified: 2010-12-03 11:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:25:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output displayed by "yum update" (33.04 KB, text/plain)
2010-07-08 06:34 EDT, Ian Collier
no flags Details

  None (edit)
Description Ian Collier 2010-07-08 06:34:03 EDT
Created attachment 430293 [details]
Output displayed by "yum update"

Description of problem:
A recent update pulled in some new gcc packages.  This update caused the trigger script from java-1.5.0-gcj-devel to output some error messages and install some incorrect symlinks.

Version-Release number of selected component (if applicable):
java-1.5.0-gcj-devel-1.5.0.0-29.fc12.x86_64

How reproducible:
You can only install the updates once, but it happened on several different machines during their Thursday morning update.

Steps to Reproduce:
1. yum -y update
2. ls -l /usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include
  
Actual results:
1.
  Updating       : gcc-java-4.4.4-10.fc12.x86_64                         58/136 
gcj: libgcj.spec: No such file or directory
dirname: missing operand
Try `dirname --help' for more information.
gcj: libgcj.spec: No such file or directory
dirname: missing operand
Try `dirname --help' for more information.
gcj: libgcj.spec: No such file or directory
dirname: missing operand
Try `dirname --help' for more information.
gcj: libgcj.spec: No such file or directory
dirname: missing operand
Try `dirname --help' for more information.
  Updating       : libtool-2.2.6-18.fc12.1.x86_64                        59/136 

2.
total 8
lrwxrwxrwx 1 root bin    49 2010-07-08 10:44 jawt.h -> usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include/jawt.h
lrwxrwxrwx 1 root bin    48 2010-07-08 10:44 jni.h -> usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include/jni.h
drwxr-xr-x 2 root root 4096 2010-07-08 10:44 linux


Expected results:
1. no error messages

2.
total 8
lrwxrwxrwx  1 root bin    53 Jul  8 11:18 jawt.h -> ../../../gcc/x86_64-redhat-linux/4.4.4/include/jawt.h
lrwxrwxrwx  1 root bin    52 Jul  8 11:18 jni.h -> ../../../gcc/x86_64-redhat-linux/4.4.4/include/jni.h
drwxr-xr-x. 2 root root 4096 Jul  8 11:18 linux

Additional info:

I'm not sure what causes this, because (now the updates have completed) the file libgcj.spec is present and the trigger script (when run manually) works properly.  I guess it has something to do with the order in which updates take place and/or with overlap between the x86_64 and i686 packages.  For this reason I'll attach the full output of yum showing the order of installation.
Comment 1 Bug Zapper 2010-11-03 08:18:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 08:25:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Deepak Bhole 2010-12-03 11:47:01 EST
I am guessing this was a one time issue on F12. It is not still happening is it?
Comment 4 Ian Collier 2010-12-03 11:56:56 EST
I've let this drop because it's difficult to reproduce and depends upon some combination of package versions which isn't supported any more now that F12 is dropped, so it's hardly likely to happen any more.

But, for the record, I did once see this message after upgrading an old Fedora machine to F14 and doing the online updates.

Note You need to log in before you can comment on or make changes to this bug.